Name:           gmpc
Summary:        GNOME frontend for the MPD
Version:        0.14.0
Release:        3%{?dist}

License:        GPL
Group:          Applications/Multimedia
URL:            http://sarine.nl/gmpc
# http://sarine.nl/index.php?mact=Uploads,cntnt01,getfile,0&cntnt01showtemplate=false&cntnt01upload_id=9&cntnt01returnid=71
Source0:        gmpc-0.14.0.tar.gz
Source1:        gmpc-qosd-0.14.0.tar.gz
Source2:        gmpc-osd-0.14.0.tar.gz
Source3:        gmpc-stopbutton-0.14.0.tar.gz
Source4:        gmpc-serverstats-0.14.0.tar.gz
Source5:        gmpc-mdcover-0.14.0.tar.gz
Source6:        gmpc-magnatune-0.14.0.tar.gz
Source7:        gmpc-lyrics-0.14.0.tar.gz
Source8:        gmpc-lastfm-0.14.0.tar.gz
Source9:        gmpc-coveramazon-0.14.0.tar.gz
Source10:       gmpc-autoplaylist-0.14.0.tar.gz
Patch0:         gmpc-lib-plugins.diff
Patch1:         gmpc-fix-album-play-order.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  scrollkeeper, gtk2-devel, libglade2-devel
BuildRequires:  gettext, gnome-vfs2-devel, desktop-file-utils
BuildRequires:  perl-XML-Parser, libmpd-devel, findutils
BuildRequires:  curl-devel, xosd-devel, libSM-devel

%description
Gmpc is a GNOME client for the Music Player Daemon
Features :
 * Support for loading/saving playlists.
 * File Browser
 * Browser based on ID3 information. (on artist and albums)
 * Search
 * Current playlist viewer with search.
 * ID3 information
 * Lots more

%package devel
Summary:  Development files for gmpc
Group:    Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
This package includes header files necessary for developing gmpc plugins.

%prep
%setup -q -a 1 -a 2 -a 3 -a 4 -a 5 -a 6 -a 7 -a 8 -a 9 -a 10
# this patch adds %{_libdir}/gmpc/plugins to the plugins search path
%patch0
sed -i -e 's,@@PLUGINS_PATH@@,"%{_libdir}/%{name}",g' src/main.c
%patch1 -p1


%build
%configure --disable-dependency-tracking
make %{?_smp_mflags} LDFLAGS=-Wl,--export-dynamic
ln -s src gmpc
export PKG_CONFIG_PATH="$PWD/data"
export CFLAGS="-I$PWD"
for i in gmpc-autoplaylist-0.14.0 gmpc-coveramazon-0.14.0 gmpc-mdcover-0.14.0 gmpc-osd-0.14.0 \
	gmpc-lastfm-0.14.0 gmpc-lyrics-0.14.0 gmpc-magnatune-0.14.0 gmpc-qosd-0.14.0 \
	gmpc-serverstats-0.14.0 gmpc-stopbutton-0.14.0; do
	pushd $i
	%configure
	make %{?_smp_mflags}
	popd
done

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# this is the default search path
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}/plugins
# rpmlint complains if arch-dependent files are in %{_datadir}
mkdir -p $RPM_BUILD_ROOT%{_libdir}/%{name}/plugins

for i in gmpc-autoplaylist-0.14.0 gmpc-coveramazon-0.14.0 gmpc-mdcover-0.14.0 gmpc-osd-0.14.0 \
	gmpc-lastfm-0.14.0 gmpc-lyrics-0.14.0 gmpc-magnatune-0.14.0 gmpc-qosd-0.14.0 \
	gmpc-serverstats-0.14.0 gmpc-stopbutton-0.14.0; do
	pushd $i
	find . -name *so -exec cp {} $RPM_BUILD_ROOT%{_libdir}/%{name}/plugins \;
	popd
done
install -p -D gmpc-autoplaylist-0.14.0/glade/apl.glade $RPM_BUILD_ROOT%{_libdir}/%{name}/plugins/apl/apl.glade
install -p -D gmpc-serverstats-0.14.0/data/mpd.png $RPM_BUILD_ROOT%{_libdir}/%{name}/plugins/serverstats/mpd.png
install -p -D gmpc-magnatune-0.14.0/data/magnatune.png $RPM_BUILD_ROOT%{_libdir}/%{name}/plugins/magnatune/magnatune.png
install -p -D gmpc-magnatune-0.14.0/data/xdg-open $RPM_BUILD_ROOT%{_libdir}/%{name}/plugins/magnatune/xdg-open

%find_lang %{name}

desktop-file-install  --vendor fedora \
        --delete-original \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications \
        $RPM_BUILD_ROOT%{_datadir}/applications/gmpc.desktop


%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README
%{_bindir}/%name
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}
%{_libdir}/%{name}
%{_datadir}/pixmaps/*

%files devel
%defattr(0644,root,root,755)
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h
%{_libdir}/pkgconfig/*.pc

%changelog
* Fri Aug 24 2007 Adrian Reber <adrian@lisas.de> - 0.14.0-3
- rebuilt

* Wed Jun 20 2007 Adrian Reber <adrian@lisas.de> - 0.14.0-2
- applied patch to fix album play order from David Woodhouse

* Sun Mar 25 2007 Adrian Reber <adrian@lisas.de> - 0.14.0-1
- updated to 0.14.0
- added more plugins
- fixed #233837 (gmpc-devel: unowned directory)

* Sat Dec 09 2006 Adrian Reber <adrian@lisas.de> - 0.13.0-1
- updated to 0.13.0
- created devel package for header files
- removed X-Fedora from desktop-file-install
- added some plugins and moved the plugins to %%{_libdir}/%%{name}/plugins

* Wed Aug 30 2006 Aurelien Bompard <abompard@fedoraproject.org> 0.11.2-6
- BR: perl-XML-Parser

* Wed Aug 30 2006 Aurelien Bompard <abompard@fedoraproject.org> 0.11.2-5
- rebuild

* Thu Mar 23 2006 Jonathan Dieter <jdieter99[AT]gmx.net> 0.11.2-4
- fix dynamic linking bug

* Wed Feb 22 2006 Aurelien Bompard <gauret[AT]free.fr> 0.11.2-3
- rebuild for FC5

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Fri Nov 05 2004 Aurelien Bompard <gauret[AT]free.fr> 0:0.11.2-0.fdr.1
- initial Fedora release (from Mandrake)
